Loading...
Searching...
No Matches
numeric_limits< openvdb::math::internal::half > Class Reference

`#include <openvdb/math/Half.h>`

## Static Public Member Functions

static constexpr openvdb::math::internal::half | min () noexcept
static constexpr openvdb::math::internal::half | max () noexcept
static constexpr openvdb::math::internal::half | lowest ()
static constexpr openvdb::math::internal::half | epsilon () noexcept
static constexpr openvdb::math::internal::half | round_error () noexcept
static constexpr openvdb::math::internal::half | infinity () noexcept
static constexpr openvdb::math::internal::half | quiet_NaN () noexcept
static constexpr openvdb::math::internal::half | signaling_NaN () noexcept
static constexpr openvdb::math::internal::half | denorm_min () noexcept

## Static Public Attributes

static const bool | is_specialized = true
static constexpr int | digits = 11
static constexpr int | digits10 = 3
static constexpr int | max_digits10 = 5
static constexpr bool | is_signed = true
static constexpr bool | is_integer = false
static constexpr bool | is_exact = false
static constexpr int | radix = 2
static constexpr int | min_exponent = -13
static constexpr int | min_exponent10 = -4
static constexpr int | max_exponent = 16
static constexpr int | max_exponent10 = 4
static constexpr bool | has_infinity = true
static constexpr bool | has_quiet_NaN = true
static constexpr bool | has_signaling_NaN = true
static constexpr float_denorm_style | has_denorm = denorm_present
static constexpr bool | has_denorm_loss = false
static constexpr bool | is_iec559 = false
static constexpr bool | is_bounded = false
static constexpr bool | is_modulo = false
static constexpr bool | traps = true
static constexpr bool | tinyness_before = false
static constexpr float_round_style | round_style = round_to_nearest

## Member Function Documentation

## denorm_min()

static constexpr openvdb::math::internal::half denorm_min | ( |  | ) |

inlinestaticconstexprnoexcept

## epsilon()

static constexpr openvdb::math::internal::half epsilon | ( |  | ) |

inlinestaticconstexprnoexcept

## infinity()

static constexpr openvdb::math::internal::half infinity | ( |  | ) |

inlinestaticconstexprnoexcept

## lowest()

static constexpr openvdb::math::internal::half lowest | ( |  | ) |

inlinestaticconstexpr

## max()

static constexpr openvdb::math::internal::half max | ( |  | ) |

inlinestaticconstexprnoexcept

## min()

static constexpr openvdb::math::internal::half min | ( |  | ) |

inlinestaticconstexprnoexcept

## quiet_NaN()

static constexpr openvdb::math::internal::half quiet_NaN | ( |  | ) |

inlinestaticconstexprnoexcept

## round_error()

static constexpr openvdb::math::internal::half round_error | ( |  | ) |

inlinestaticconstexprnoexcept

## signaling_NaN()

static constexpr openvdb::math::internal::half signaling_NaN | ( |  | ) |

inlinestaticconstexprnoexcept

## Member Data Documentation

## digits

constexpr int digits = 11

staticconstexpr

## digits10

constexpr int digits10 = 3

staticconstexpr

## has_denorm

constexpr float_denorm_style has_denorm = denorm_present

staticconstexpr

## has_denorm_loss

constexpr bool has_denorm_loss = false

staticconstexpr

## has_infinity

constexpr bool has_infinity = true

staticconstexpr

## has_quiet_NaN

constexpr bool has_quiet_NaN = true

staticconstexpr

## has_signaling_NaN

constexpr bool has_signaling_NaN = true

staticconstexpr

## is_bounded

constexpr bool is_bounded = false

staticconstexpr

## is_exact

constexpr bool is_exact = false

staticconstexpr

## is_iec559

constexpr bool is_iec559 = false

staticconstexpr

## is_integer

constexpr bool is_integer = false

staticconstexpr

## is_modulo

constexpr bool is_modulo = false

staticconstexpr

## is_signed

constexpr bool is_signed = true

staticconstexpr

## is_specialized

const bool is_specialized = true

static

## max_digits10

constexpr int max_digits10 = 5

staticconstexpr

## max_exponent

constexpr int max_exponent = 16

staticconstexpr

## max_exponent10

constexpr int max_exponent10 = 4

staticconstexpr

## min_exponent

constexpr int min_exponent = -13

staticconstexpr

## min_exponent10

constexpr int min_exponent10 = -4

staticconstexpr

## radix

constexpr int radix = 2

staticconstexpr

## round_style

constexpr float_round_style round_style = round_to_nearest

staticconstexpr

## tinyness_before

constexpr bool tinyness_before = false

staticconstexpr

## traps

constexpr bool traps = true

staticconstexpr